@import url("https://fonts.googleapis.com/css2?family=Merriweather+Sans:wght@300;400;700&display=swap");

* {
  font-family: 'Merriweather Sans', sans-serif;
}

body {
  background: linear-gradient(180deg, #608E95 14.43%, #375256 100%);
}

.container {
  width: 100%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 1.5rem;
}

.block {
  /*min-height: 100vh;*/
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: stretch;
  /*background: #00000088;*/
}

.hero {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  gap: 5px;
  padding-bottom: 5px;
  background: #ffffff;
  margin-bottom: 3.5rem;
}

.hero-block {
  flex-basis: 50%;
  aspect-ratio: 1/1;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  position: relative;
}

.hero-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
}

.hero-left {
  background-image: var(--homeimpr-hero1-background);
}

.hero-left .hero-overlay {
  background: #00000073;
}

.hero-right {
  background-image: var(--homeimpr-hero2-background);
}

.hero-right .hero-overlay {
  background: #0000005E;
}

.hero-overlay h1 {
  padding: .75rem .5rem 22% 2rem;
  font-weight: 700;
  font-size: calc(1.5rem + 3vmin);
  line-height: .9;
  letter-spacing: 0;
}

.hero-overlay p {
  font-weight: 700;
  font-size: calc(0.3rem + 2.5vmin);
  line-height: 150%;
  letter-spacing: 0;
  padding: 0 2.5rem;
}

.hero-overlay .button {
  font-weight: 800;
  font-size: 1.25rem;
  line-height: 100%;
  letter-spacing: 0;
  text-wrap: nowrap;
  margin-top: 5%;
}

.hero-arrow {
  position: absolute;
  right: 2rem;
  top: 32%;
  width: 120px;
}

@media (max-width: 767px) {
  .hero {
    flex-direction: column;
  }

  .hero-arrow {
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%) rotate(90deg);
    width: 80px;
    right: auto;
    top: auto;
  }
}

#block2 {
  margin-top: 3.5rem;
  margin-bottom: 3.5rem;
}

.benefit {
  padding: 245px 1.5rem 2.5rem;
  text-align: center;
  background-position: top center;
  background-repeat: no-repeat;
  background-size: 225px auto;
  align-self: stretch;
}

.benefit h2 {
  height: 4.5rem;
}

#benefit1 {
  background-image: var(--csno-benefit1-background);
}

#benefit2 {
  background-image: var(--csno-benefit2-background);
}

#benefit3 {
  background-image: var(--csno-benefit3-background);
}

.registration {
  max-width: 400px;
  padding: 1.75rem 2.5rem;
  margin: 0 auto;
  border-radius: 0.75rem;
  border: 2px solid #ffffff;
  text-align: center;
  background: linear-gradient(180deg, rgba(83, 117, 123, 0.3) 18.76%, rgba(255, 255, 255, 0.3) 75.01%);
}

.control {
  margin-bottom: 1rem;
  display: block;
  text-align: left;
}

.control label {
  color: #D9D9D9CC;
  font-size: 0.95rem;
  width: 100%;
}

.checkbox a {
  color: inherit;
}

.control-email {
  padding: 0;
  margin: 55px 0;
}

.control input[type=email] {
  width: 100%;
  border: none;
  font-size: 1.15rem;
  padding: 0.5rem 0.25rem;
}

.control-email label {
  display: none;
}

.invalid .checkbox {
  color: #ff0000;
}

.control-email .error {
  position: static;
  font-size: 0.95rem;
  color: #ff0000;
  background: #ffffff;
  padding: 0.25rem 0.5rem;
  border-radius: 0.25rem;
  border: 1px solid #ff0000;
}

.registration .button {
  margin-top: 30px;
  width: 100%;
}

.button {
  font-size: 24px;
  border-radius: 10px;
  font-weight: 700;
  text-transform: uppercase;
  box-shadow: 0 4px 4px 0 #00000040;
}

hr {
  border: 2px solid var(--csno-text);
  width: 80%;
  margin: 0 auto;
}

.message {
  width: 90%;
  max-width: 400px;
  padding: 2.5rem;
  margin: 0 auto;
  border-radius: 0.75rem;
  border: 2px solid #ffffff;
  text-align: center;
  background: linear-gradient(180deg, rgba(83, 117, 123, 0.3) 18.76%, rgba(255, 255, 255, 0.3) 75.01%);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
}

.message h1 {
  font-weight: 700;
  font-size: 30px;
}

.message h2 {
  font-weight: 700;
  font-size: 24px;
}

.message p {
  font-weight: 300;
  font-size: 18px;
}

@media (max-width: 767px) {
  .registration {
    padding: 1.5rem;
  }

  .registration h1 {
    margin-bottom: 1rem;
  }
}